Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.services.results
Class SessionResult

    java.lang.Object
      com.tibco.bpm.web.client.services.results.SessionResult

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable, net.customware.gwt.dispatch.shared.Result

    public class SessionResult

extends java.lang.Object
implements net.customware.gwt.dispatch.shared.Result

Returns details about the session timeout and access

©2012 TIBCO Software Inc.

Since:
  2.0.0

Constructor Summary
`SessionResult(long msMaxInactiveInterval, long msSinceCreation, long msSinceLastAccess)` Construct a new SessionResult

Method Summary
`long` | `getMsMaxInactiveInterval()`
`long` | `getMsSinceCreation()`
`long` | `getMsSinceLastAccess()`
`void` | `setMsMaxInactiveInterval(long msMaxInactiveInterval)`
`void` | `setMsSinceCreation(long msSinceCreation)`
`void` | `setMsSinceLastAccess(long msSinceLastAccess)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SessionResult

    public SessionResult(long msMaxInactiveInterval,
                         long msSinceCreation,
                         long msSinceLastAccess)

  Construct a new SessionResult

  Parameters:
    `details` - about the session timeout and access

Method Detail

### getMsMaxInactiveInterval

    public long getMsMaxInactiveInterval()

### setMsMaxInactiveInterval

    public void setMsMaxInactiveInterval(long msMaxInactiveInterval)

### getMsSinceCreation

    public long getMsSinceCreation()

### setMsSinceCreation

    public void setMsSinceCreation(long msSinceCreation)

### getMsSinceLastAccess

    public long getMsSinceLastAccess()

### setMsSinceLastAccess

    public void setMsSinceLastAccess(long msSinceLastAccess)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.